%define name		clamav
%define version		0.54
%define release		7mdk
%define	major		1
%define libname	%mklibname %{name} %{major}

Name:			%{name}
Summary:		An anti-virus utility for Unix.
Version:		%{version}
Release:		%{release}
Source0:		%{name}-%{version}.tar.gz
Source1:		%{name}-%{version}.tar.gz.sig
Source2:		%{name}.init.bz2
Patch0:			%{name}-%{version}-config.patch.bz2
Patch1:			%{name}-%{version}-buffer_overflow_fix.patch.bz2
URL:			http://clamav.elektrapro.com/
License:		GPL
Group:			File tools
Requires:		%{libname} = %{version}-%{release}
Requires:		%{name}-db
PreReq:			rpm-helper
Provides:		virusscanner AV-Scanner
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
Clam Antivirus is a powerful anti-virus scanner for Unix. It
supports AMaViS, compressed files, uses the virus database from
OpenAntivirus.org, and includes a program for auto-updating.

The scanner is multithreaded, written in C, and POSIX compliant. 

%package -n		clamd
Summary:		The Clam AntiVirus Daemon
Group:			System/Servers
License: 		GPL
Requires:		%{libname} = %{version}-%{release}
Requires:		%{name} = %{version}-%{release}
Requires:		%{name}-db
PreReq:			rpm-helper
Provides:		virusscanner-daemon AV-Scanner-Daemon

%description -n		clamd
The Clam AntiVirus Daemon

%package -n		%{name}-db
Summary:		Virus database for %{name}
Group:			Databases
License: 		GPL
Requires:		%{libname} = %{version}-%{release}
Requires:		%{name} = %{version}-%{release}
PreReq:			rpm-helper

%description -n		%{name}-db
The actual virus database for %{name}

%package -n		%{libname}
Summary:		Shared libraries for %{name}
Group:          	System/Libraries
License: 		GPL

%description -n		%{libname}
Shared libraries for %{name}

%package -n		%{libname}-devel
Summary:		Development library and header files for the %{name} library
Group:			Development/C
License: 		GPL
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel lib%{name}-devel
Obsoletes:		%{name}-devel lib%{name}-devel

%description -n		%{libname}-devel
This package contains the static %{libname} library and its header
files.

%package -n		%{libname}-static-devel
Summary:		Static development library for the %{name} library
Group:			Development/C
License: 		GPL
Requires:		%{libname}-devel = %{version}-%{release}
Provides:		%{name}-static-devel lib%{name}-static-devel
Obsoletes:		%{name}-static-devel lib%{name}-static-devel

%description -n		%{libname}-static-devel
This package contains the static %{libname} library.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%serverbuild

./configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_localstatedir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --disable-clamav \
    --with-user=clamav \
    --with-group=clamav \
    --with-dbdir=%{_localstatedir}/clamav

%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR="%{buildroot}" install

# install the init script
install -d %{buildroot}%{_initrddir}
bzcat %{SOURCE2} > %{buildroot}%{_initrddir}/clamd
chmod 755 %{buildroot}%{_initrddir}/clamd

# huh? a bug?
install -m644 etc/clamav.conf %{buildroot}%{_sysconfdir}/clamav.conf

# pid file dir
install -d %{buildroot}/var/run/clamav

%pre
%_pre_useradd clamav %{_localstatedir}/clamav /bin/sh

%pre -n clamd
%_pre_useradd clamav %{_localstatedir}/clamav /bin/sh

%post -n clamd
%_post_service clamd

%preun -n clamd
%_preun_service clamd

%postun -n clamd
%_postun_userdel clamav

%pre -n %{name}-db
%_pre_useradd clamav %{_localstatedir}/clamav /bin/sh

%postun -n %{name}-db
%_postun_userdel clamav

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog FAQ NEWS README TODO support test
%doc docs/DMS/Debian_Mail_server.html 
%doc docs/clamdoc.*
%doc docs/html
%doc docs/japanese
%doc docs/spanish
%{_bindir}/clamscan
%{_bindir}/freshclam
%{_bindir}/sigtool
%{_mandir}/man1/sigtool.1*
%{_mandir}/man1/clamscan.1*
%{_mandir}/man1/freshclam.1*

%files -n clamd
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamav.conf
%attr(0755,root,root) %config(noreplace) %{_initrddir}/clamd
%{_sbindir}/clamd
%{_bindir}/clamdscan
%{_mandir}/man5/clamav.conf.5*
%{_mandir}/man8/clamd.8*
%{_mandir}/man1/clamdscan.1*
%dir %attr(0755,clamav,clamav) /var/run/clamav
%dir %attr(0755,clamav,clamav) %{_localstatedir}/clamav

%files -n %{name}-db
%defattr(-,root,root)
%dir %attr(0755,clamav,clamav) %{_localstatedir}/clamav
%attr(0644,clamav,clamav) %config(noreplace) %{_localstatedir}/clamav/viruses.db*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Thu Mar 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-7mdk
- fix potential security hole (P1) as in:
  http://archive.elektrapro.com/clamav.elektrapro.com/users/2003/3/msg00016.html

* Thu Mar 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-6mdk
- use the %%mklibname macro
- misc spec file fixes
- fix pid file location
- got rpmlint a little happier...

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-5mdk
- build release

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-4mdk
- argh!!! viruscanner should spell virusscanner, right?

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-3mdk
- added virtual provides (pointed out by Buchan Milne)
  clamav Provides: viruscanner AV-Scanner
  clamd Provides: viruscanner-daemon AV-Scanner-Daemon

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-2mdk
- fix %%_pre_useradd (pointed out by Buchan Milne)
- also fix ldconfig in %%post %%postun (wierd...)

* Thu Nov 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-1mdk
- new version
- updated P0
- %{_bindir}/clamdscan was added to the clamd package
- misc spec file fixes

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.53-1mdk
- new version

* Tue Oct 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.52-1mdk
- new version
- misc spec file fixes

* Sat Oct 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-3mdk
- attrib 711 on %{_localstatedir}/clamav was too restrictive for
  qmail-scanner, changed that to 755

* Mon Oct 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-2mdk
- fixed Group=File tools for main package (correct?)

* Wed Oct 09 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-1mdk
- new version
- libifictions and daemonification
- major spec file fixes

* Thu Aug 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24-1mdk
- new version
- added GnuPG signature
- misc spec file fixes

* Sat Aug  3 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23-1mdk
- new version

* Wed Jul 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.22-1mdk
- new version

* Thu Jul 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.21-1mdk
- new version

* Tue Jul 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.20-1mdk
- new version, new url
- misc spec file fixes

* Wed Jun 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-1mdk
- new version

* Sat Jun  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14-1mdk
- new version
- remove P0

* Sat May 11 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.11-1mdk
- initial cooker contrib

